Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Interface AbleWr

All Known Implementing Classes:
  AbleLhs

public interface AbleWr

This class defines the interface for "Writable" data objects; that is, classes that implement this interface can appear on the lefthand side of assignment clauses.

Method Summary
`java.lang.String` | `arlDclString()` Return a formal rule language "declaration" string that describes this data object.
`void` | `asgnEq(AbleRd theRhs)` Assignment (boolean): assign the current value of theRhs to this data object.
`void` | `asgnIs(AbleRd theRhs)` Assignment (fuzzy): assign the current value of theRhs to this data object.
`void` | `asgnIs(AbleRd theRhs, double theTruthValue)` Assignment (fuzzy): assign the current value of theRhs to this data object, correlated with the specified truth value.
`void` | `setBooleanValue(boolean theNewValue)` Set the value of this data object from a boolean value.
`void` | `setFuzzyValue(AbleFuzzySet theNewValue)` Set the value of this data object from a fuzzy value.
`void` | `setGenericValue(java.lang.Object theNewValue)` Set the value of this data object from an object.
`void` | `setNumericValue(double theNewValue)` Set the value of this data object from a numeric value.
`void` | `setStringValue(java.lang.String theNewValue)` Set the value of this data object from a string value.
`void` | `setValue(AbleLiteral theNewValue)` Set the value of this data object from a literal object.
`java.lang.String` | `xmlCWrString()` Return a formal XML "clause write" string that describes this data object.
`java.lang.String` | `xmlDclString()` Return a formal XML "declaration" string that describes this data object.

Method Detail

### setBooleanValue

    public void setBooleanValue(boolean theNewValue)
                         throws AbleDataException

  Set the value of this data object from a boolean value.

  Parameters:
    `theNewValue` - A boolean value.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a boolean value.

### setFuzzyValue

    public void setFuzzyValue(AbleFuzzySet theNewValue)
                       throws AbleDataException

  Set the value of this data object from a fuzzy value.

  Parameters:
    `theNewValue` - A fuzzy set.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a fuzzy value.

### setGenericValue

    public void setGenericValue(java.lang.Object theNewValue)
                         throws AbleDataException

  Set the value of this data object from an object.

  Parameters:
    `theNewValue` - Any type of Object.

  Throws:
    `AbleDataException` - If the value of this object cannot be derived from the specified Object.

### setNumericValue

    public void setNumericValue(double theNewValue)
                         throws AbleDataException

  Set the value of this data object from a numeric value.

  Parameters:
    `theNewValue` - Any number.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a numeric value.

### setStringValue

    public void setStringValue(java.lang.String theNewValue)
                        throws AbleDataException

  Set the value of this data object from a string value.

  Parameters:
    `theNewValue` - A string.

  Throws:
    `AbleDataException` - If the value of this object cannot be represented as a string value.

### setValue

    public void setValue(AbleLiteral theNewValue)
                  throws AbleDataException

  Set the value of this data object from a literal object.

  Parameters:
    `theNewValue` - An Able literal of any type. An attempt is made to convert the literal to an appropriate type before assigning it to this "writable" object.

  Throws:
    `AbleDataException` - If the value of this object cannot be determined from the literal object.

### arlDclString

    public java.lang.String arlDclString()

  Return a formal rule language "declaration" string that describes this data object.

  Returns:
    A String describing the data object in formal rule language.

### xmlDclString

    public java.lang.String xmlDclString()

  Return a formal XML "declaration" string that describes this data object.

  Returns:
    A String describing the data object in XML.

### xmlCWrString

    public java.lang.String xmlCWrString()

  Return a formal XML "clause write" string that describes this data object.

  Returns:
    A String describing the data object in XML.

### asgnEq

    public void asgnEq(AbleRd theRhs)
                throws AbleDataException

  Assignment (boolean): assign the current value of theRhs to this data object.

  Parameters:
    `theRhs` - The right-hand, or source, side of the assignment.

  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and assigned to this data object.

### asgnIs

    public void asgnIs(AbleRd theRhs)
                throws AbleDataException

  Assignment (fuzzy): assign the current value of theRhs to this data object.

  Parameters:
    `theRhs` - The right-hand, or source, side of the assignment. This must be a fuzzy set.

  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and assigned to this data object.

### asgnIs

    public void asgnIs(AbleRd theRhs,
                       double theTruthValue)
                throws AbleDataException

  Assignment (fuzzy): assign the current value of theRhs to this data object, correlated with the specified truth value.

  Parameters:
    `theRhs` - The right-hand, or source, side of the assignment. This must be a fuzzy set.

    `theTruthValue` - the truth value with which theRhs is to be correlated.

  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and assigned to this data object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005